# SPDX-License-Identifier: MIT
%global project_name %{lua:t=string.gsub(rpm.expand("%{fonts_family}"), " SIL$", ""); t=string.gsub(t, "[%p%s]+", ""); print(string.lower(t))}
%global archive_name %{lua:t=string.gsub(rpm.expand("%{fonts_family}"), "[%p%s]+", ""); print(t)}-%{version}

%global source_version 1.004
%global source_release 8
%global source_url     https://software.sil.org/%{project_name}/

%global default_fonts_foundry      SIL
%global default_fonts_license      OFL
%global default_fonts_licenses     OFL.txt
%global default_fonts_docs         *.txt
%global default_fonts_docs_exclude %{default_fonts_licenses}

%global fonts_family             Namdhinggo SIL
%global fonts_summary            Namdhinggo SIL, a font family for the Limbu writing system of Nepal
%global fonts_fonts              *.ttf
%global fonts_experimental_confs 66-%{fonts_name}.xml
%global fonts_description        %{expand:
Namdhinggo provides glyphs for all Limbu characters and some Latin.

The Limbu, or Kirat Sirijonga, script is used by around 400 000 people in Nepal
and India. This Unicode-encoded font has been designed to support literacy and
materials development in the Limbu language.

According to traditional histories the Limbu script was developed by King
Sirijonga in the 9th Century. It then fell out of use before being reintroduced
in the 18th century by Teongsi Sirijonga (1704-1741) whom many felt to be the
reincarnation of the first Sirijonga. The modern Sirijonga was apparently
martyred in 1741 for the sake of this script by lamas in Sikkim. The script was
named ‘Sirijonga’ in his honor by the Limbu scholar Iman Singh Chemjong.}

%auto_init
%auto_pkg

%sourcelist
https://software.sil.org/downloads/r/%{project_name}/%{archive_name}.zip
66-%{fonts_name}.xml
%auto_sources

%prep
%auto_prep
%setup -q -n NamdhinggoSIL
install -m 644 %{_sourcedir}/*xml .
%linuxtext *.txt

%build
%auto_build

%install
%auto_install

%check
%auto_check

%auto_files

%changelog
%auto_changelog
